This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 132964 - double free with enscript --toc
double free with enscript --toc
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: enscript (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-09-20 10:46 EDT by John Ellson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 1.6.1-28
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 10:04:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Ellson 2004-09-20 10:46:27 EDT
Description of problem:
The --toc option on enscript results in a double free error
reported by glibc.

enscript used to work for me until recently (perhaps a couple of
weeks), so I imagine that the glibc error detection is recent.

Version-Release number of selected component (if applicable):
enscript-1.6.1-27
glibc-2.3.3-53

How reproducible:
100%

Steps to Reproduce:
1. enscript --toc anyfile
2.
3.
  
Actual results:
*** glibc detected *** double free or corruption: 0x09071310 ***
Aborted

Expected results:


Additional info:
Comment 1 Tim Waugh 2004-09-27 09:36:25 EDT
Please try enscript-1.6.1-28.
Comment 2 John Ellson 2004-10-04 09:56:32 EDT
OK now with enscript-1.6.1-28.   Thanks.

Note You need to log in before you can comment on or make changes to this bug.